Package Details: brlcad 7.32.2-0

Git Clone URL: https://aur.archlinux.org/brlcad.git (read-only, click to copy)
Package Base: brlcad
Description: An extensive 3D solid modeling system.
Upstream URL: https://brlcad.org
Keywords: CAD
Licenses: BSD, LGPL, custom:BDL
Submitter: louipc
Maintainer: ejno
Last Packager: ejno
Votes: 66
Popularity: 1.06
First Submitted: 2007-02-04 02:47
Last Updated: 2021-02-14 18:45

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 Next › Last »

ArchFwin commented on 2013-06-16 15:47

7.24.0 is now up.
MD5sum is "ecd94dfaf0b980776c589bb9337a6786" according to sourceforge, and the source can be downloaded using the same source array.

hrocho commented on 2013-05-06 09:48

adding "-DBRLCAD_BUNDLED_LIBS=ON" config option should fix it

louipc commented on 2013-01-02 23:58

I really don't have time to properly figure this out, so I'll orphan so someone can take over.

louipc commented on 2013-01-02 23:36

Tcl8.6 now bundles itcl which is where the initial problem occurs. That needs to be resolved in brlcad. I'm not sure if the brlcad can work with the Tcl verion of itcl or not.

If you build with all bundled libs in brlcad, you'll need to remove /etc/ld.so.conf.d/brlcad.conf [last line of the package() function] so the system doesn't load the conflicting libraries.

You'll also need to define LD_LIBRARY_PATH when running brlcad programs so they can find the proper libraries. It's a bit of a tricky situation.

budulay commented on 2013-01-02 07:08

Turns out it wasn't such a great idea - after a reboot, firefox wouldn't run, complaining about libpng:
firefox: relocation error: /usr/lib/firefox/libxul.so: symbol png_get_first_frame_is_hidden, version PNG15_0 not defined in file libpng15.so.15 with link time reference

Vim would spit this out each time it was started:

vim: /opt/brlcad/lib/libpng15.so.15: no version information available (required by /usr/lib/libgdk_pixbuf-2.0.so.0)
vim: /opt/brlcad/lib/libpng15.so.15: no version information available (required by /usr/lib/libcairo.so.2)
vim: /opt/brlcad/lib/libz.so.1: no version information available (required by /usr/lib/libgio-2.0.so.0)

After removing brlcad these problems went away.

I am quite lost.

budulay commented on 2013-01-01 14:37

After a recent tk update brlcad won't start anymore, throwing this:

/opt/brlcad/bin/../bin/bwish: error while loading shared libraries: libtk8.5.so: cannot open shared object file: No such file or directory

Rebuilding it also failed with this:

CMake Error at CMakeLists.txt:456 (_message):
Could not find at least one of Tcl, Itcl or Tk libraries in /usr/lib,
/usr/lib/itcl4.0.0, and /usr/lib - please specify the parent directory for
the libraries in the TCL_BIN_PREFIX variable (e.g. ${TCL_BIN_PREFIX}/lib)
Call Stack (most recent call first):
src/other/incrTcl/itk/CMakeLists.txt:81 (MESSAGE)

I added -DBRLCAD_BUNDLED_LIBS=ON option to cmake to get it to compile.

Taken from this thread:
http://sourceforge.net/projects/brlcad/forums/forum/362510/topic/6268380

louipc commented on 2012-07-07 20:24

brlcad 7.22.0-1 up.

louipc commented on 2012-06-12 04:32

brlcad 7.20.6-1
With upstream recommended patches.
brlcad 7.22.0 should be coming soon though.

Cheers.

budulay commented on 2012-06-11 08:38

The only things needed to build the newest one is to change the version and md5sum lines:

pkgver=7.20.6

md5sums=('2249e9f5f556e48ed66a1ba6e407ed60')

Anonymous comment on 2012-01-31 18:43

Removed --as-needed from LDFLAGS and I was able to build and install the package.
Thanks!